Skip to main content
Monitoring & Collection/Auto Remediation

ListRemediationExecutions

List the execution history for a remediation policy

GET/api/v1/monitoring/remediation-policies/{policyId}/executions

Operation ID

ListRemediationExecutions

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • policyId
    StringRequired

    UUID of the policy to list executions for

Query Parameters

  • limit
    Integer

    Maximum number of execution records to return Maximum number of execution records to return

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • id
      String

      Unique identifier of this execution record

      Example: exec-001-abc

    • policyId
      String

      UUID of the policy that triggered this execution

      Example: policy-001-abc

    • agentId
      String

      UUID of the agent targeted by this execution

      Example: agent-001-xyz

    • triggeredAt
      String

      Triggered at

      Example: 2026-01-15T08:00:00Z

    • action
      String

      Remediation action that was executed

      Example: restart_service

    • status
      String

      Current status of the execution (running, succeeded, failed)

      Example: succeeded

    • verifiedAt
      String

      Verified at

      Example: 2026-01-15T08:00:00Z

    • error
      String

      Error message if the execution failed

      Example: connection refused

    • retryCount
      Integer

      Number of retry attempts made

      Example: 20

  • total
    Integer

    Total number of execution records

    Example: 15

  • limit
    Integer

    Page size limit

    Example: 20

  • offset
    Integer

    Pagination offset

    Example: 20